%define anolis_release 1

Name:		speex
Version:	1.2.0
Release:	%{anolis_release}%{?dist}
Summary:	A voice compression format (codec)

License:	BSD
URL:		https://www.speex.org/
Source0:	http://downloads.us.xiph.org/releases/speex/%{name}-%{version}.tar.gz

BuildRequires:	make
BuildRequires:	gcc
BuildRequires:	pkgconfig(ogg)
BuildRequires:	pkgconfig(speexdsp)

%description
Speex is a patent-free compression format designed especially for
speech. It is specialized for voice communications at low bit-rates in
the 2-45 kbps range. Possible applications include Voice over IP
(VoIP), Internet audio streaming, audio books, and archiving of speech
data (e.g. voice mail).

%package 	devel
Summary: 	Development package for %{name}
Requires: 	%{name} = %{version}-%{release}
 
%description 	devel
Speex is a patent-free compression format designed especially for
speech. This package contains development files for %{name}
 
%package 	tools
Summary:	The tools package for %{name}
Requires:	%{name} = %{version}-%{release}
 
%description tools
Speex is a patent-free compression format designed especially for
speech. This package contains tools files and user's manual for %{name}.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%configure \
	--disable-static \
	--enable-binaries
%make_build

%install
%make_install
rm -rf $RPM_BUILD_ROOT%{_docdir}/speex/manual.pdf

sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

%ldconfig_scriptlets

%files
%license COPYING
%doc AUTHORS TODO ChangeLog README NEWS
%{_libdir}/libspeex.so.1*

%files 		devel
	
%doc doc/manual.pdf
%{_includedir}/speex
%{_datadir}/aclocal/speex.m4
%{_libdir}/pkgconfig/speex.pc
%{_libdir}/libspeex.so
%exclude %{_libdir}/libspeex.la

%files 		tools
%{_bindir}/speexenc
%{_bindir}/speexdec
%{_mandir}/man1/speexenc.1*
%{_mandir}/man1/speexdec.1*

%changelog
* Mon Apr 18 2022 happy_orange <songnannan@linux.alibaba.com> - 1.2.0-1
- Init package from upstream
